<?php

namespace Softwaretantra\Iksc\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Softwaretantra\Iksc\Interfaces\TestikscRepositoryInterface;

class TestikscPublicController extends BaseController
{
    // use TestikscWorkflow;

    /**
     * Constructor.
     *
     * @param type \Softwaretantra\Testiksc\Interfaces\TestikscRepositoryInterface $testiksc
     *
     * @return type
     */
    public function __construct(TestikscRepositoryInterface $testiksc)
    {
        $this->repository = $testiksc;
        parent::__construct();
    }

    /**
     * Show testiksc's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $testikscs = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('iksc::testiksc.names'))
            ->view('iksc::public.testiksc.index')
            ->data(compact('testikscs'))
            ->output();
    }


    /**
     * Show testiksc.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $testiksc = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($testiksc->name . trans('iksc::testiksc.name'))
            ->view('iksc::public.testiksc.show')
            ->data(compact('testiksc'))
            ->output();
    }

}
