<?php

namespace Softwaretantra\Iksc;

use User;

class Iksc
{
    /**
     * $testiksc object.
     */
    protected $testiksc;

    /**
     * Constructor.
     */
    public function __construct(\Softwaretantra\Iksc\Interfaces\TestikscRepositoryInterface $testiksc)
    {
        $this->testiksc = $testiksc;
    }

    /**
     * Returns count of iksc.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.testiksc.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->testiksc->pushCriteria(new \Litepie\Softwaretantra\Repositories\Criteria\TestikscUserCriteria());
        }

        $testiksc = $this->testiksc->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('iksc::' . $view, compact('testiksc'))->render();
    }
}
