<?php

namespace Softwaretantra\Iksc\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Testiksc workflow validator
        'Softwaretantra\Iksc\Models\Testiksc' => \Softwaretantra\Iksc\Workflow\TestikscValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Testiksc workflow actions
        'Softwaretantra\Iksc\Models\Testiksc' => \Softwaretantra\Iksc\Workflow\TestikscAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Testiksc workflow notifiers
        'Softwaretantra\Iksc\Models\Testiksc' => \Softwaretantra\Iksc\Workflow\TestikscNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
