<?php

namespace Softwaretantra\Iksc\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TestikscTransformer extends TransformerAbstract
{
    public function transform(\Softwaretantra\Iksc\Models\Testiksc $testiksc)
    {
        return [
            'id'                => $testiksc->getRouteKey(),
            'key'               => [
                'public'    => $testiksc->getPublicKey(),
                'route'     => $testiksc->getRouteKey(),
            ], 
            'userid'            => $testiksc->userid,
            'url'               => [
                'public'    => trans_url('iksc/'.$testiksc->getPublicKey()),
                'user'      => guard_url('iksc/testiksc/'.$testiksc->getRouteKey()),
            ], 
            'status'            => trans('app.'.$testiksc->status),
            'created_at'        => format_date($testiksc->created_at),
            'updated_at'        => format_date($testiksc->updated_at),
        ];
    }
}