<?php

namespace Softwaretantra\Iksc\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Softwaretantra\Iksc\Models\Testiksc;

class TestikscAction
{
    /**
     * Perform the complete action.
     *
     * @param Testiksc $testiksc
     *
     * @return Testiksc
     */
    public function complete(Testiksc $testiksc)
    {
        try {
            $testiksc->status = 'complete';
            return $testiksc->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Testiksc $testiksc
     *
     * @return Testiksc
     */public function verify(Testiksc $testiksc)
    {
        try {
            $testiksc->status = 'verify';
            return $testiksc->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Testiksc $testiksc
     *
     * @return Testiksc
     */public function approve(Testiksc $testiksc)
    {
        try {
            $testiksc->status = 'approve';
            return $testiksc->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Testiksc $testiksc
     *
     * @return Testiksc
     */public function publish(Testiksc $testiksc)
    {
        try {
            $testiksc->status = 'publish';
            return $testiksc->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Testiksc $testiksc
     *
     * @return Testiksc
     */
    public function archive(Testiksc $testiksc)
    {
        try {
            $testiksc->status = 'archive';
            return $testiksc->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Testiksc $testiksc
     *
     * @return Testiksc
     */
    public function unpublish(Testiksc $testiksc)
    {
        try {
            $testiksc->status = 'unpublish';
            return $testiksc->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
