<?php

namespace Softwaretantra\Iksc\Workflow;

use Softwaretantra\Iksc\Models\Testiksc;
use Softwaretantra\Iksc\Notifications\TestikscWorkflow as TestikscNotifyer;
use Notification;

class TestikscNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Testiksc $testiksc
     *
     * @return void
     */
    public function complete(Testiksc $testiksc)
    {
        return Notification::send($testiksc->user, new TestikscNotifyer($testiksc, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Testiksc $testiksc
     *
     * @return void
     */
    public function verify(Testiksc $testiksc)
    {
        return Notification::send($testiksc->user, new TestikscNotifyer($testiksc, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Testiksc $testiksc
     *
     * @return void
     */
    public function approve(Testiksc $testiksc)
    {
        return Notification::send($testiksc->user, new TestikscNotifyer($testiksc, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Testiksc $testiksc
     *
     * @return void
     */
    public function publish(Testiksc $testiksc)
    {
        return Notification::send($testiksc->user, new TestikscNotifyer($testiksc, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Testiksc $testiksc
     *
     * @return void
     */
    public function archive(Testiksc $testiksc)
    {
        return Notification::send($testiksc->user, new TestikscNotifyer($testiksc, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Testiksc $testiksc
     *
     * @return void
     */
    public function unpublish(Testiksc $testiksc)
    {
        return Notification::send($testiksc->user, new TestikscNotifyer($testiksc, 'unpublish'));;

    }
}
